﻿body {  
    width: 100%;
    height: 100%;
    margin: 0;
}


.centered {
     position: fixed;
     top: 50%;
     left: 50%;
     width: 200px;
     height:100px;
     margin: -50px 0 0 -100px;
     background: #f0f0f0;    
}

.genereal-text {
    font-size: 250%;
}

.indent{
    margin-top: -100px;
}

a {
    text-decoration: none;
}

a:hover { 
  text-decoration: none;                                    
}

.MainPage {
    margin-top: 20px;
}

.TextSorted {
    font-weight: bold;
}


.GrayWhite {
    background-color: #dbd9d9;
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.logo {
    width: 35px;
    height: 35px;
    margin-top: -7px;
}

.text-brand {
    margin-left: -20px;
}

.navbar-layout {
    height: 55px;
    text-align: center;
}

.footer {
    height: 32px;
    text-align: center;
    align-self: center;
    color: gray;
}


:root {
    --jumbotron-padding-y: 3rem;
}

.jumbotron {
    padding-top: var(--jumbotron-padding-y);
    padding-bottom: var(--jumbotron-padding-y);
    margin-bottom: 0;
    background-color: #fff;
}

@media (min-width: 768px) {
    .jumbotron {
        padding-top: calc(var(--jumbotron-padding-y) * 2);
        padding-bottom: calc(var(--jumbotron-padding-y) * 2);
    }
}

.jumbotron p:last-child {
    margin-bottom: 0;
}

.jumbotron-heading {
    font-weight: 300;
}

.jumbotron .container {
    max-width: 40rem;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

.main-image {
    height: 10vw;
    width: 16vw;
}

.video-player {
    display: block;
    width: 100%;
    max-height: 600px;
}

.block-video {
    background-color: black;
    width: 100%;
    max-height: 600px;
}


.like-dislike {
    padding: .7em 1.5em;
}

.like-dislike:hover{
    cursor: pointer;
}

/*::after*/

.like-dislike-img {
    width: 15px;
    height: 15px;
}

.Fix-Footer {
    margin-bottom: 100px;
}


@media screen and (max-width: 600px) {
    .GrayWhite {
        background-color: #dbd9d9;
    }

    .main-image {
        height: 10vw;       
    }
}

.input-validation-error {
    border: 2px solid red;
    background-color: #fee;
}

input[type="checkbox"].input-validation-error {
    outline: 2px solid red;
}

input[type="radio"].input-validation-error {
    outline: 2px solid red;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}
   